{$I DacDemo.inc}

unit XMLTypeDetails;

interface

uses
{$IFDEF FPC}
  LResources,
{$ENDIF}
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
{$IFNDEF KYLIX}
  SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, Buttons;
{$ELSE}
  SysUtils, Types, Classes, QGraphics, QControls, QForms, QDialogs, QStdCtrls,
  QDBCtrls, QButtons;
{$ENDIF}

type
  TXMLDetailsForm = class(TForm)
    BitBtn1: TBitBtn;
    Memo1: TMemo;
  private
    { Private declarations }
  public
    { Public declarations }
    procedure Execute(Caption, Text: string);
  end;

var
  XMLDetailsForm: TXMLDetailsForm;

implementation

{$IFNDEF FPC}
{$IFDEF CLR}
{$R *.nfm}
{$ELSE}
{$R *.dfm}
{$ENDIF}
{$ENDIF}

procedure TXMLDetailsForm.Execute(Caption, Text: string);
begin
  Self.Caption := Caption;
  Memo1.Lines.Text := Text;
  ShowModal;
end;

initialization
{$IFDEF FPC}
{$I XMLTypeDetails.lrs}
{$ENDIF}

end.
